<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 12px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Exception Library</h1>

		<p>This library is a core library and you probably won't have any interaction with it, however the following
		methods are present in the class.</p>
	</div>

	<div class="content">
		<h1>Exception Class Methods</h1>

		<h2>public function __construct()</h2>
		<p>This method initialises the class, and gets the output buffer level.</p>

		<h2>public function log_exception($severity, $message, $file_path, $line_number)</h2>
		<p>This method logs an exception with the severity <b>$severity</b>, message of <b>$message</b>, in the file
		<b>$file_path</b>, on the line number <b>$line_numer</b>.</p>

		<h2>public function display_not_found($page = '')</h2>
		<p>This method displays a 404 page not found page.  It also logs a message saying that <b>$page</b> is the
		page missing.</p>

		<h2>public function display_error($heading, $message, $template = 'error')</h2>
		<p>This method displays a generic error with the heading <b>$header</b> and message <b>$message</b>.  You
		can also specify which error template you wish it to use.</p>

		<h2>public function display_php_error($severity, $message, $file_path, $line_number)</h2>
		<p>This method displays any PHP errors that occur.  With the severity <b>$severity</b>, and message
		<b>$message</b>.  It also displays the file <b>$file_path</b> and line number <b>$line_number</b> of the
		PHP error.</p>
	</div>
</body>

</html>
